/*
 * css reset
 */
html,body,div,span,applet,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,
img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,dl,dt,dd,ol,ul,li,form,fieldset,label,legend,table,caption,tbody,
tfoot,thead,tr,th,td,object,article,aside,dialog,figure,footer,header,hgroup,nav,section
{margin:0;padding:0;border:0;outline:0;font-weight:inherit;font-style:inherit;font-family:inherit;vertical-align:baseline}

article,aside,dialog,figure,footer,header,hgroup,nav,section {display:block}

:focus {outline:0}

ol,ul {list-style:none}

table {border-collapse:separate;border-spacing:0}

caption,th,td {text-align:left;font-weight:normal}

blockquote:before, blockquote:after, q:before, q:after {content:""}

blockquote,q {quotes:"" ""}

* {margin:0;padding:0}

button::-moz-focus-inner {border:0;outline:0;padding:0}

button {-moz-box-sizing:content-box;-ms-box-sizing:content-box;-webkit-box-sizing:content-box;box-sizing:content-box}

button {overflow:visible;width:0}

button[type] {width:auto}

/*
 * typography
 */
body {font-family:"Helvetica Neue",Arial,Helvetica,sans-serif;font-size:87.5%}

h1,h2,h3,h4,h5,h6 {font-weight:normal}

h1 {font-size:1.6em;line-height:1;margin-bottom:0.5em}
h2 {font-size:1.6em;margin-bottom:0.75em}
h3 {font-size:1.2em;line-height:1;margin-bottom:1em}
h4 {font-size:1.1em;line-height:1.25;margin-bottom:1.25em}
h5 {font-size:1em;font-weight:bold;margin-bottom:1.5em}
h6 {font-size:1em;font-weight:bold}

h1 img,h2 img,h3 img,h4 img,h5 img,h6 img {margin:0}

p {margin:0 0 1.5em;color:#333}

a                {text-decoration:underline}
a:focus, a:hover {text-decoration:none}

blockquote      {margin:1.5em;font-style:italic}
strong          {font-weight:bold}
em,dfn          {font-style:italic}
dfn             {font-weight:bold}
sup,sub         {line-height:0}
abbr,acronym    {border-bottom:1px dotted #666}
address         {margin:0 0 1.5em;font-style:italic}
del             {color:#666}
pre             {margin:1.5em 0;white-space:pre}
pre,code,tt     {font:1em 'andale mono','lucida console', monospace;line-height:1.5}

li ul, li ol {margin:0 1.5em}
ul, ol       {margin:0 1.5em 1.5em 1.5em}
ul           {list-style-type:disc}
ol           {list-style-type:decimal}
dl           {margin: 0 0 1.5em 0}
dl dt        {font-weight:bold}
dd           {margin-left:1.5em}

/*
 * misc classes
 */
.hidden {display:none}

       .clearfix:after,        form div.fe:after    {content:".";display:block;height:0;line-height:0;clear:both;visibility:hidden}
       .clearfix,              form div.fe          {display:inline-table}
/*\*/
* html .clearfix,       * html form div.fe          {height:1%}
       .clearfix,              form div.fe          {display:block}
/**/
       .clearfix,              form div.fe          {min-height:1px}

/*
 * layout
 */
header                      {height:100px}
header h1, header h2        {display:block;position:absolute}
header h1                   {top:15px;left:0;font-size:3em}
header h2                   {top:60px;left:70px;font-size:1.2em}
header hgroup span,
header hgroup a             {display:block;text-decoration:none;color:#fff;text-shadow:#000 4px 4px 8px}
header h1 strong            {font-weight:normal;color:#e80}
header h1 a:hover           {text-decoration:underline}

section h1              {padding-bottom:0.2em;margin-bottom:1.2em;color:#aaa;font-size:1.6em;border-bottom:1px solid #ccc}

body.show section h1    {margin-bottom:0}

section h2,
section h3          {color:#234}
section p a,
section p a:visited {padding:2px 4px;color:#234;border:1px dotted #e0e0e0}
section p a:hover   {background:#234;color:#fff;border:1px solid #123}

.result                         {margin:0;padding:0}
 .result-source                   {background:#222 url('../img/code-bg.gif');color:#fff}
 .result-source pre               {margin:0;padding:1em}
 .result-query                   {background:#222 url('../img/code-bg.gif');color:#fff}
 .result-query pre               {margin:0;padding:1em}
 .result-bquery                   {background:#222 url('../img/code-bg.gif');color:#fff}
 .result-bquery pre               {margin:0;padding:1em}
 .result-text                   {background:#222 url('../img/code-bg.gif');color:#fff}
 .result-text pre               {margin:0;padding:1em}

.result .tabs ul                {margin:0;padding:0;list-style:none}
.result .tabs li                {display:block;float:left;margin-right:1px}
.result .tabs a                 {display:block;padding:4px 12px;background:#cfcfcf;color:#fff;text-decoration:none;font-weight:bold}
.result .tabs a:hover           {color:#234}
.result .tabs a.current,
.result .tabs a.current:hover   {background:#234;color:#fff}

.result .tabs .html a { -moz-border-radius:4px 0px 0px 0px; border-radius:4px 0px 0px 0px; }

.result .tabs .stats a { -moz-border-radius:0px 4px 0px 0px; border-radius:0px 4px 0px 0px; }

.result-html table#explain {margin:5px;border-collapse:collapse}

.result-html table#explain th,
.result-html table#explain td {padding:4px 8px;border:1px solid #ccc;background:#fff;text-align:left;vertical-align:top}

.result-html table#explain th   {background:#234;text-align:center}
.result-html table#explain th.n {text-align:left}

.result-html table#explain th a,
.result-html table#explain th span {font-size:1.2em;color:#fff;white-space:nowrap}

.result-html table#explain tbody tr {cursor:pointer}

.result-html table#explain td   {text-align:right}
.result-html table#explain td.n {text-align:left}

.result-html table#explain td.e,
.result-html table#explain td.i,
.result-html table#explain td.x {white-space:nowrap}

/* currently not used */
.result-html table#explain        td.c-1,
.result-html table#explain tr.c-1 td        {background:#fff}

.result-html table#explain tr.even td {background:#e5ecf9}

/* !important overrides tr.even */
.result-html table#explain tr.c-2 td,
.result-html table#explain tr.c-m td.c-2 {background-color:#fe8 !important}
.result-html table#explain tr.c-3 td,
.result-html table#explain tr.c-m td.c-3 {background-color:#e80 !important;color:#fff}
.result-html table#explain tr.c-4 td,
.result-html table#explain tr.c-m td.c-4 {background-color:#800 !important;color:#fff}

/* tr hover */
.result-html table#explain tr.hover      td,
.result-html table#explain tr.hover.even td {background-color:#d0d8d8 !important}

/* !important overrides tr.c-[1..4] */
.result-html table#explain tr.hover.c-2 td,
.result-html table#explain tr.hover.c-m td.c-2 {background-color:#ec5 !important}
.result-html table#explain tr.hover.c-3 td,
.result-html table#explain tr.hover.c-m td.c-3 {background-color:#c60 !important}
.result-html table#explain tr.hover.c-4 td,
.result-html table#explain tr.hover.c-m td.c-4 {background-color:#600 !important}

/* tr collapsed */ 
.result-html table#explain tr.collapsed td {border-bottom:3px dashed #888}

.result-html table#explain tr.collapsed.c-2 td,
.result-html table#explain tr.collapsed.c-m td.c-2 {border-bottom-color:#ec5}
.result-html table#explain tr.collapsed.c-3 td,
.result-html table#explain tr.collapsed.c-m td.c-3 {border-bottom-color:#c60}
.result-html table#explain tr.collapsed.c-4 td,
.result-html table#explain tr.collapsed.c-m td.c-4 {border-bottom-color:#600}

.result-html table#explain td.n div   {position:relative;min-height:22px;height:auto !important;height:22px}
.result-html table#explain td.n p,
.result-html table#explain td.n ul    {margin:0;padding:0}
.result-html table#explain td.n ul    {list-style:none}
.result-html table#explain td.n li    {padding-top:0.5em}

.result-html table#explain td.n p span.est,
.result-html table#explain td.n p span.act {white-space:nowrap}

/* white arrow */
.result-html table#explain tr.c-3 td.n div.ico,
.result-html table#explain tr.c-4 td.n div.ico {background-position:0px -224px}

/* for td.r(ows), td.l(oops) */
.result-html table#explain .tight span {display:none}
.result-html table#explain .tight,
.result-html table#explain .tight a    {padding-left:0 !important;padding-right:0 !important;width:1px !important;overflow:hidden;text-align:left;text-indent:-10000px}
.result-html table#explain .tight a    {margin:0 1px;background:url('../img/sprite.png') top left}

.result-html table#explain p {color:inherit}

* html .result-html table#explain tr.c-3 td     p,
* html .result-html table#explain tr.c-m td.c-3 p,
* html .result-html table#explain tr.c-4 td     p,
* html .result-html table#explain tr.c-m td.c-4 p {color:#fff !important}

*:first-child+html .result-html table#explain tr.c-3 td     p,
*:first-child+html .result-html table#explain tr.c-m td.c-3 p,
*:first-child+html .result-html table#explain tr.c-4 td     p,
*:first-child+html .result-html table#explain tr.c-m td.c-4 p {color:#fff !important}

.result-html table#explain tbody tr.sub-n td.n {background-image:url('../img/star.png');background-position:top left;background-repeat:no-repeat}

.result-html table#explain tbody tr.sp td.n,
.result-html table#explain tbody tr.ip td.n {background-image:none}

#explain tbody tr td.u a {font-size:14px;text-decoration:none;color:#16212B}

.result-stats h1 {color:#123}
.result-stats table {margin:5px;border-collapse:collapse}

.result-stats table th,
.result-stats table td {padding:4px 8px;border:1px solid #ccc;background:#fff;text-align:left;vertical-align:top}

.result-stats table th   {background:#234;text-align:center;color:#fff}
.result-stats table td.count,
.result-stats table td.time,
.result-stats table td.percent { text-align: right }
.result-stats table td.table-name { font-weight: bold; }
.result-stats table td.scan-type { padding-left: 2em; }
.result-stats table tr.table-summary td { background: #e5ecf9 }

#total-times {margin: 1em 0px;border:1px solid #ccc; background: #eee;}
#total-times th { font-size: 1.2em; font-weight: bold; }
#total-times .separator { padding: 0px 1em; }
#total-times td { text-align: right; }
#total-times span.value { font-size: 1.2em; }
#total-times tr.both.planning td,
#total-times tr.both.planning th { border-bottom:1px dotted #666}
#total-times td,
#total-times th { padding: 0.2em 0.4em;}

#trigger-times {margin: 1em 0px;background: #eee;}
#trigger-times,
#trigger-times th,
#trigger-times td {border-collapse: collapse; border:1px solid #ccc;}
#trigger-times th { font-size: 1.2em; font-weight: bold; padding: 0.2em 0.5em;}
#trigger-times thead th {text-align: center}
#trigger-times th.top {font-size: 1.5em;}
#trigger-times td {text-align: right; padding: 0.2em 0.5em;}
#trigger-times span.value { font-size: 1.2em; }
#trigger-times tr.c-2 {background-color:#fe8 !important}
#trigger-times tr.c-3 {background-color:#e80 !important;color:#fff}
#trigger-times tr.c-4 {background-color:#800 !important;color:#fff}

#jit-info {margin: 1em 0px;background: #eee;}
#jit-info thead a { border: 1px solid black; font-size: 0.5em; float: right; padding: 0.3em; }
#jit-info,
#jit-info th,
#jit-info td {border-collapse: collapse; border:1px solid #ccc;}
#jit-info .jit-timing th,
#jit-info .jit-option th {padding-left: 1.5em; padding-right: 1em;}
#jit-info .jit-option td {text-align: center;}
#jit-info .jit-option td span {font-size: 1.2em; font-weight: bold;}
#jit-info th { font-size: 1.2em; font-weight: bold; padding: 0.2em 0.5em;}
#jit-info thead th {text-align: center}
#jit-info th.top {font-size: 1.5em;}
#jit-info td {text-align: right; padding: 0.2em 0.5em;}
#jit-info .jit-fun td {text-align: center;}
#jit-info span.value { font-size: 1.2em; }
#jit-info tr.c-2 {background-color:#fe8 !important}
#jit-info tr.c-3 {background-color:#e80 !important;color:#fff}
#jit-info tr.c-4 {background-color:#800 !important;color:#fff}
